auto lo
iface lo inet loopback

auto mgmt
iface mgmt
    address 127.0.0.1/8
    vrf-table auto

auto eth0
iface eth0
    bridge-access 10

auto vlan10
iface vlan10 inet dhcp
    vrf mgmt
    vlan-id 10
    vlan-raw-device bridge

auto bridge
iface bridge
    bridge-ports eth0
    bridge-vlan-aware yes
    bridge-vids 10
    pre-up ip link set bridge address `ip link sh eth0 | grep ether | awk '{print $2}'`

auto uplink
iface uplink inet static
  address {{ devices[inventory_hostname].bond.ip | ipaddr('address')  }}
  netmask {{ devices[inventory_hostname].bond.ip | ipaddr('netmask')  }}
  mtu 9000
  bond-slaves eth1 eth2
  bond-mode 802.3ad
  bond-miimon 100
  bond-lacp-rate 1
  bond-min-links 1
  bond-xmit-hash-policy layer3+4
  post-up ip route add {{ devices[inventory_hostname].bond.route.dest }} via {{ devices[inventory_hostname].bond.route.nexthop }}



